| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
MPE::HorizonTrackerMgr Class Reference
MPEEngine

Executor to auto track. More...

`#include <autotracker.h>`

Inheritance diagram for MPE::HorizonTrackerMgr:
[legend]

## Classes
struct | FlatCubeInfo

## Public Member Functions
| HorizonTrackerMgr (EMTracker &)
| ~HorizonTrackerMgr ()
void | freeSectionTracker (const SectionTracker *)
SectionTracker * | getFreeSectionTracker ()
RefMan< EMTracker > | getTracker ()
ConstRefMan< EMTracker > | getTracker () const
bool | hasTasks () const
void | init ()
void | startFromSeeds (const TypeSet< TrcKey > &)
void | stop ()
void | updateFlatCubesContainer (const TrcKeyZSampling &, bool addremove)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< HorizonTrackerMgr > | finished

## Protected Member Functions
void | addTask (const TrcKeyValue &, const TrcKeyValue &, int seedid)
mDeprecatedDef void | addTask (const TrcKeyValue &seed, const TrcKeyValue &source)
void | addUndoEvent ()
void | taskFinished (CallBacker *)
void | updateCB (CallBacker *)

## Protected Attributes
Threads::Lock | addlock_
Threads::Lock | finishlock_
ObjectSet< FlatCubeInfo > * | flatcubes_ = nullptr
Threads::Lock | getfreestlock_
Array2D< float > * | horizon3dundoinfo_ = nullptr
RowCol | horizon3dundoorigin_
Threads::Atomic< int > | nrdone_ = 0
Threads::Atomic< int > | nrtodo_ = 0
int | queueid_
ObjectSet< SectionTracker > | sectiontrackers_
TypeSet< TrcKey > | seeds_
Threads::Atomic< int > | tasknr_ = 0
WeakPtr< EMTracker > | tracker_
BoolTypeSet | trackerinuse_
Threads::WorkManager & | twm_

## Friends
class | TrackerTask

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Executor to auto track.

<>

## Constructor & Destructor Documentation

## ◆ HorizonTrackerMgr()

MPE::HorizonTrackerMgr::HorizonTrackerMgr | ( | EMTracker & |  | ) |

## ◆ ~HorizonTrackerMgr()

MPE::HorizonTrackerMgr::~HorizonTrackerMgr | ( |  | ) |

## Member Function Documentation

## ◆ addTask() [1/2]

void MPE::HorizonTrackerMgr::addTask | ( | const TrcKeyValue & | ,
|  | const TrcKeyValue & | ,
|  | int | seedid )
| protected

## ◆ addTask() [2/2]

mDeprecatedDef void MPE::HorizonTrackerMgr::addTask | ( | const TrcKeyValue & | seed,
|  | const TrcKeyValue & | source )
| inline protected

## ◆ addUndoEvent()

void MPE::HorizonTrackerMgr::addUndoEvent | ( |  | ) |
| protected

## ◆ freeSectionTracker()

void MPE::HorizonTrackerMgr::freeSectionTracker | ( | const SectionTracker * |  | ) |

## ◆ getFreeSectionTracker()

SectionTracker * MPE::HorizonTrackerMgr::getFreeSectionTracker | ( |  | ) |

## ◆ getTracker() [1/2]

RefMan< EMTracker > MPE::HorizonTrackerMgr::getTracker | ( |  | ) |

## ◆ getTracker() [2/2]

ConstRefMan< EMTracker > MPE::HorizonTrackerMgr::getTracker | ( |  | ) | const

## ◆ hasTasks()

bool MPE::HorizonTrackerMgr::hasTasks | ( |  | ) | const

## ◆ init()

void MPE::HorizonTrackerMgr::init | ( |  | ) |

## ◆ startFromSeeds()

void MPE::HorizonTrackerMgr::startFromSeeds | ( | const TypeSet< TrcKey > & |  | ) |

## ◆ stop()

void MPE::HorizonTrackerMgr::stop | ( |  | ) |

## ◆ taskFinished()

void MPE::HorizonTrackerMgr::taskFinished | ( | CallBacker * |  | ) |
| protected

## ◆ updateCB()

void MPE::HorizonTrackerMgr::updateCB | ( | CallBacker * |  | ) |
| protected

## ◆ updateFlatCubesContainer()

void MPE::HorizonTrackerMgr::updateFlatCubesContainer | ( | const TrcKeyZSampling & | ,
|  | bool | addremove )

add = true, remove = false.

## Friends And Related Symbol Documentation

## ◆ TrackerTask

friend class TrackerTask
| friend

## Member Data Documentation

## ◆ addlock_

Threads::Lock MPE::HorizonTrackerMgr::addlock_
| protected

## ◆ finished

Notifier<HorizonTrackerMgr> MPE::HorizonTrackerMgr::finished

## ◆ finishlock_

Threads::Lock MPE::HorizonTrackerMgr::finishlock_
| protected

## ◆ flatcubes_

ObjectSet<FlatCubeInfo>* MPE::HorizonTrackerMgr::flatcubes_ = nullptr
| protected

## ◆ getfreestlock_

Threads::Lock MPE::HorizonTrackerMgr::getfreestlock_
| protected

## ◆ horizon3dundoinfo_

Array2D<float>* MPE::HorizonTrackerMgr::horizon3dundoinfo_ = nullptr
| protected

## ◆ horizon3dundoorigin_

RowCol MPE::HorizonTrackerMgr::horizon3dundoorigin_
| protected

## ◆ nrdone_

Threads::Atomic<int> MPE::HorizonTrackerMgr::nrdone_ = 0
| protected

## ◆ nrtodo_

Threads::Atomic<int> MPE::HorizonTrackerMgr::nrtodo_ = 0
| protected

## ◆ queueid_

int MPE::HorizonTrackerMgr::queueid_
| protected

## ◆ sectiontrackers_

ObjectSet<SectionTracker> MPE::HorizonTrackerMgr::sectiontrackers_
| protected

## ◆ seeds_

TypeSet<TrcKey> MPE::HorizonTrackerMgr::seeds_
| protected

## ◆ tasknr_

Threads::Atomic<int> MPE::HorizonTrackerMgr::tasknr_ = 0
| protected

## ◆ tracker_

WeakPtr<EMTracker> MPE::HorizonTrackerMgr::tracker_
| protected

## ◆ trackerinuse_

BoolTypeSet MPE::HorizonTrackerMgr::trackerinuse_
| protected

## ◆ twm_

Threads::WorkManager& MPE::HorizonTrackerMgr::twm_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025